import { SmzMultiTablesTab } from '../../modules/smz-multi-tables/multi-tables.state';
import { SmzBuilderUtilities } from '../common/smz-builder-utilities';
import { SmzMultiTablesTabBuilder } from './tab-builder';
export declare class SmzMultiTablesTabHeaderBuilder extends SmzBuilderUtilities<SmzMultiTablesTabHeaderBuilder> {
    private _builder;
    private _tab;
    protected that: this;
    constructor(_builder: SmzMultiTablesTabBuilder, _tab: SmzMultiTablesTab);
    setStyleClass(styleClass: string): SmzMultiTablesTabHeaderBuilder;
    setName(name: string): SmzMultiTablesTabHeaderBuilder;
    setNameStyleClass(styleClass: string): SmzMultiTablesTabHeaderBuilder;
    setIcon(icon: string): SmzMultiTablesTabHeaderBuilder;
    setIconStyleClass(styleClass: string): SmzMultiTablesTabHeaderBuilder;
    get header(): SmzMultiTablesTabBuilder;
}
